//importing the necessary libraries (avr/io, avr/delay)
#include <avr/io.h>
#include <util/delay.h>

int main(void)
{

  //Button pin A7 as input
  DDRA &= (1 << PA7);
  PORTA |= (1 << PA7);
  //LED pin B2 as output
  DDRB |= (1 << PB2);
  PORTB |= (1 << PB2);
  //create an infinite loop
  while (1)
  {
    //if the button is not pressed, LED is low
	  if (PINA & (1 << PA7))
      {
        PORTB &= ~(1 << PB2);
	    }
    //if the button is pressed, LED is high
    else
          {
    	       PORTB |= (1 << PB2);
          }

  }
}
